Query Vcf Infra Endpoints

Query Vcf Infra Endpoints
Retrieve list of all registered VCF infra endpoints in VCFA.

Get list of all VCF infra endpoints registered in VCFA.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/vcfInfraEndpoints
COPY
Query Parameters
string
filter
Optional

Filter for a query. FIQL format.

string
sortAsc
Optional

Field to use for ascending sort

string
sortDesc
Optional

Field to use for descending sort

integer
page
Required
Constraints: minimum: 1 default: 1

Page to fetch, zero offset.

integer
pageSize
Required
Constraints: minimum: 0 maximum: 128 default: 25

Results per page to fetch.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns VCFInfraEndpoints of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineVCFInfraEndpoints1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "id": "urn:vcloud:vcfInfraEndpoint:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "name": "string",
            "hostName": "string",
            "username": "string",
            "password": "string",
            "ipaddress": "string",
            "certificate": "string",
            "version": "string"
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/vcfInfraEndpoints?page=value&pageSize=v